Bug 251172 - netconsole script does not correctly handle status when unconfigured
netconsole script does not correctly handle status when unconfigured
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 12:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this issue (1.40 KB, patch)
2007-08-07 12:02 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2007-08-07 12:02:07 EDT
The netconsole init script has:

[ -f /etc/sysconfig/netconsole ] || exit 0
. /etc/sysconfig/netconsole

[ -z "$SYSLOGADDR" ] && exit 0

This means that, when unconfigured, the script always returns 0. If someone
calls 'service netconsole status', it will always return that it's running, even
when it's not.

Later on, in the status() call, it never actually returns 'not running', even if
it isn't.

The attached patch fixes the following:

- remove obsolete check for ${NETWORKING}
- match RHEL 4 behavior by returning '1' if SYSLOGADDR isn't set (on startup)
- handle status() correctly
Comment 1 Bill Nottingham 2007-08-07 12:02:08 EDT
Created attachment 160827 [details]
patch for this issue
Comment 4 Bill Nottingham 2007-08-07 12:51:34 EDT
Fixed in 8.45.17.EL-1
Comment 8 errata-xmlrpc 2007-11-07 14:11:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0663.html

Note You need to log in before you can comment on or make changes to this bug.